ADTF 3 porting legacy plugins
2018-04-14 11:57 - hidden

Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-9360

Department: AEV Affected Products: ADTF 3.0.0 (BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Duplicate Issue FAQ Links:

Description

Supportanfrage

Kénnten ihr euch bitte zeitnach (wenn méglich bis zum 24.04) euer "demo_legacy_data_filter" ansehen.
Bei uns wir nie die OnSampleReceived()-Methode aufgerufen.
Fur unsere Konfig siehe Screenshot.

Wird bei einem LegacyPortedPlugin der ADTF2_support Service benétigt?

Bitte bis Dienstag Riickmeldung geben an was das liegt (Bug oder Bedienfehler) damit wir das in der Schulung
kommunizieren kénnen.

Lésung
Duplikat von #1639

Das zugehérige Produktticket ACORE-9360 wurde auch rejected, Grund:

Da stimmen die Typen nicht tberein: Der Demo Time Triggered Filter liefert ein adtf/default mit tSimple struct und der Demo Legacy
Data erwartet einen adtf/plain mit tFloat64.

Der Reader verwirft solange Samples bis ein kompatibler Typ ankommt. Er setzt auch korrekt einen Stream Error -> was aber fehlt
ist unsere zentrale Fehlerbehandlung wahrend des Streamings (also Log Ausgabe und Reaktion). Das ist aber ein anderes Thema
und muss in ACORE-9243 noch konzipiert werden.

History

#1 - 2018-04-16 09:15 - hidden

- Project changed from Public Support to 11
- Status changed from New to In Progress

- Topic set to ADTF::Common

- Platform Windows 7 64bit added

#2 - 2018-04-16 09:18 - hidden

Update Anian meinte wohl bis diesen Dienstag also 17.04.2018.

#4 - 2018-04-16 09:21 - hidden
- Status changed from In Progress to Customer Feedback Required

- Resolution set to Duplicate Issue
Hi Anian, hi Peter,
das hast Anian doch bereits in #1639 angemerkt.
Das zugehérige Produktticket ACORE-9360 wurde auch rejected, Grund:

Da stimmen die Typen nicht Gberein: Der Demo Time Triggered Filter liefert ein adtf/default mit tSimple struct und der Demo Legacy Data
erwartet einen adtf/plain mit tFloat64.
Der Reader verwirft solange Samples bis ein kompatibler Typ ankommt. Er setzt auch korrekt einen Stream Error -> was aber fehlt ist unsere
zentrale Fehlerbehandlung wahrend des Streamings (also Log Ausgabe und Reaktion). Das ist aber ein anderes Thema und muss in
ACORE-9243 noch konzipiert werden.

Sollte diese Info dich damals nicht erreicht haben, nun hier noch einmal.

#7 - 2018-04-17 17:32 - hidden

Das ist richtig Streamtype stimmte nicht Uberein.
Wir hatten das nur nicht gesehen, da wir die Produktickets wie ACORE-9360 nicht sehen und deswegen die Lésungen dieser nicht mitbekommen.
Kénnten wir hier freigeschaltet oder zumindest informiert werden?

#8 - 2018-04-19 16:04 - hidden

Normalerweise leiten wir die Infos daraus weiter.

Zugang in der CIP musstet ihr bei der 36565 bei AUDI beantragen, wenn ihr einen Account haben, dann misst ihr dort einen CIPTASK erstellen, der
euch fur die Projekte freischalten soll, darauf haben wir keinen Einfluss.

Ich denke aber dass der Austausch hierber véllig ausreichend ist.

#9 - 2018-04-23 17:33 - hidden
- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9360

#10 - 2018-05-22 08:24 - hidden
- Project changed from 11 to Public Support

- Private changed from Yes to No

#11 - 2018-05-23 14:19 - hidden
- Status changed from To Be Closed to Closed
